﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			Loaded += new RoutedEventHandler(MainPage_Loaded);
		}

		void MainPage_Loaded(object sender, RoutedEventArgs e)
		{
			var loginWindow = new LoginWindow();
			loginWindow.Closed += new EventHandler(loginWindow_Closed);
			loginWindow.Show();
		}

		void loginWindow_Closed(object sender, EventArgs e)
		{
			if (AuthenticationHelper.CurrentUser == Role.Admin)
			{
				this.panelName.Text = "Admin Panel";
			}
			else
			{
				this.panelName.Text = "User Panel";
			}

			this.GenerateControlPanel();
		}

		private void GenerateControlPanel()
		{
			for (int i = 0; i < 8; i++)
			{
				RadTileViewItem item = new RadTileViewItem();

				// for the sake of the example, every even item will be for admin and every odd for regular user
				if (i % 2 == 0)
				{
					item.Header = "Admin Panel";
					item.Visibility = AuthenticationHelper.CurrentUser == Role.Admin ? Visibility.Visible : Visibility.Collapsed;
				}
				else
				{
					item.Header = "User Panel";
					item.Visibility = AuthenticationHelper.CurrentUser == Role.User ? Visibility.Visible : Visibility.Collapsed;
				}

				this.tileView1.Items.Add(item);
			}
		}
	}
}
